Memory Stores
Get an update result
Retrieves the status and result of a memory store update operation.
标头参数
Foundry-Features
enum
必需
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
路径参数
name
string
必需
The name of the memory store.
update_id
string
必需
The ID of the memory update operation.
查询参数
api-version
string
必需
The API version to use for this operation.
响应
The request has succeeded.
正文
update_id
string
必需
The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.
status
string | enum
必需
Status of a memory store update operation.
enum
superseded_by
string
The update_id the operation was superseded by when status is "superseded".
result
MemoryStoreUpdateCompletedResult
Memory update result.
memory_operations
MemoryOperation[]
必需
A list of individual memory operations that were performed during the update.
usage
MemoryStoreOperationUsage
必需
Usage statistics of a memory store operation.
embedding_tokens
integer
必需
The number of embedding tokens.
input_tokens_details
OpenAI.ResponseUsageInputTokensDetails
必需
output_tokens_details
OpenAI.ResponseUsageOutputTokensDetails
必需
error
OpenAI.Error
misalignment
OpenAI.MisalignmentErrorDetailsResource
error_type
string | enum
enum
detailed_explanation
string
The public explanation for this block.
steer
OpenAI._MisalignmentSteer
message
string
必需
The public continuation instruction.
请求
GET /memory_stores/{name}/updates/{update_id} HTTP/1.1
响应
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json